Package org.opensaml.messaging.decoder.httpclient

# Class AbstractHttpClientResponseMessageDecoder

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.messaging.decoder.AbstractMessageDecoder
org.opensaml.messaging.decoder.httpclient.AbstractHttpClientResponseMessageDecoder

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `UnmodifiableComponent`, `HttpClientResponseMessageDecoder`, `MessageDecoder`

Direct Known Subclasses:
  `BaseHttpClientResponseXMLMessageDecoder`

public abstract class AbstractHttpClientResponseMessageDecoder extends AbstractMessageDecoder implements HttpClientResponseMessageDecoder
Abstract implementation of `HttpClientResponseMessageDecoder`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.apache.hc.core5.http.ClassicHttpResponse`
`response`
The HTTP client response.

### Fields inherited from class org.opensaml.messaging.decoder.AbstractMessageDecoder

`BASE_PROTOCOL_MESSAGE_LOGGER_CATEGORY`

## Constructor Summary

Constructors
Constructor
Description
`AbstractHttpClientResponseMessageDecoder()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doInitialize()`
`org.apache.hc.core5.http.ClassicHttpResponse`
`getHttpResponse()`
Get the HTTP client response on which to operate.
`void`
`setHttpResponse(org.apache.hc.core5.http.ClassicHttpResponse clientResponse)`
Set the HTTP client response on which to operate.

### Methods inherited from class org.opensaml.messaging.decoder.AbstractMessageDecoder

`decode, doDecode, getMessageContext, getMessageToLog, getProtocolMessageLogger, getProtocolMessageLoggerSubCategory, logDecodedMessage, serializeMessageForLogging, setMessageContext, setProtocolMessageLoggerSubCategory`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.DestructableComponent

`destroy, isDestroyed`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface org.opensaml.messaging.decoder.MessageDecoder

`decode, getMessageContext`

## Field Details

### response

@NonnullAfterInit private org.apache.hc.core5.http.ClassicHttpResponse response
The HTTP client response.

## Constructor Details

### AbstractHttpClientResponseMessageDecoder

public AbstractHttpClientResponseMessageDecoder()

## Method Details

### getHttpResponse

@NonnullAfterInit public org.apache.hc.core5.http.ClassicHttpResponse getHttpResponse()
Get the HTTP client response on which to operate.

Specified by:
  `getHttpResponse` in interface `HttpClientResponseMessageDecoder`
Returns:
  the HTTP client response

### setHttpResponse

public void setHttpResponse(@Nullable org.apache.hc.core5.http.ClassicHttpResponse clientResponse)
Set the HTTP client response on which to operate.

Specified by:
  `setHttpResponse` in interface `HttpClientResponseMessageDecoder`
Parameters:
  `clientResponse` - the HTTP client response

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractInitializableComponent`
Throws:
  `ComponentInitializationException`